%define pkg_name        IO-Simple
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.1

Summary:       Simple object oriented access to files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/ER/ERICJH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)


%description
IO::Simple provides a thin layer over IO::File. This layer causes files to
default to opening in read mode and to croaking on failure opening, closeing
or printing to files. It provides methods to set $\, $/, $:, $^L and $, on a
per handle basis and a slurp function.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
# missing t/data2 creator
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.04
